TAAS - Feature #103

Document Note
11/25/2022 10:48 AM - Anil

KV

Status: Reopen Bugs Testing Done Start date: 12/02/2022
Priority: Normal Due date:

Assignee: Sreeranjini T % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Document Note

Description

Coding Document Note

History

#1 - 11/26/2022 07:21 PM -
- File 1-CsModel.cs added
- File 2-tsModel.ts added

- File 3-CsFile.cs added

Junaid M

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added
- File 6-HtmiFile.html added
- File sql.sql added

- Status changed from New

to Open

- % Done changed from 0 to 10

Ul Changes =>

1) Add check box inside OK search box , set tooltip as "With blocked notes". Se Default checkbox state as ticked.

2) Add Checkbox Label Status, Next to Show in invoice widget.

3) In List blocked item should be greyed.

#2 - 12/01/2022 01:49 PM -

Anil KV

- Assignee changed from Junaid M to Akash B

#3 - 12/02/2022 09:52 AM -

Akash B

- Status changed from Open to Coding Started

- Start date changed from 11/25/2022 to 12/02/2022

- % Done changed from 10 to 40

#4 - 12/08/2022 03:40 PM -

Akash B

- Status changed from Coding Started to Coding Done

- % Done changed from 40 to 60

#5 - 12/09/2022 12:29 PM -

Amal Cyriac

- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.USE PROPER DATE FORMAT
2.FIX COLOR PROBLEMS ON GRID
#6 - 12/09/2022 03:46 PM - Amal Cyriac

ISSUE FOUND *****
1.BUGS ON GRID WHILE EDIT

#7 - 12/14/2022 04:06 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#8 - 12/15/2022 10:02 AM - Amal Cyriac

ISSUE FOUND *****
1.BUGS ON GRID, WHILE EDIT
2.'0OK AND UPDATE' BUTTONS ERROR

#9 - 12/15/2022 10:07 AM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.'OK AND UPDATE' BUTTONS BUGS

(WHILE ADD/UPDATE NOTE, DOUBLE ENTRY ON GRID)

#10 - 01/03/2023 04:56 PM - Akash B
- Status changed from Reopen Bugs to Coding Done

- % Done changed from 50 to 60

#11 - 01/05/2023 09:41 AM - Akash B
- Status changed from Coding Done to Reopen Bugs Coding Done

#12 - 02/09/2023 05:20 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.FIX BUGS ON 'INACTIVE' CHECK BOX

#13 - 02/09/2023 06:02 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#14 - 04/19/2023 06:17 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.Error on console while edit document note
2.Prevent update on document note by more than one user at a time

#15 - 04/26/2023 10:09 AM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

bugs fixed

#16 - 05/17/2023 05:11 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50
ISSUE FOUND *****

1.Set proper validations on Users multi selection box
(Prevent save if selection box is unchecked & empty)
2.Set alignment on labels

(Created by/Modified by)

#17 - 05/18/2023 05:52 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Document Note bug fixed

#18 - 06/02/2023 05:57 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Fix bugs on inline check box
2.Set alignment on GUI
(Label, Input box , Button)

#19 - 06/05/2023 04:06 PM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bugs Fixed

#20 - 07/24/2023 06:06 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S
ISSUE FOUNDED

1.ISSUE WHILE CHOOSING USER

#21 - 07/25/2023 10:31 AM - Akash B

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Bugs Fixed while selecting users

#22 - 08/10/2023 04:50 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED

1.ISSUE WHILE CHOOSING DATE

#23 - 08/12/2023 11:19 AM - Akash B
Bugs Fixed

#24 - 08/12/2023 11:19 AM - Akash B
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60
#25 - 10/07/2023 05:21 PM - Junaid M

- Assignee changed from Akash B to Abhiram Venu

#26 - 10/25/2023 03:48 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.ERROR WHILE CLEARING DATE AND SELECTING OK BUTTON

#27 - 11/01/2023 06:11 PM - Abhiram Venu
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Date issue on OK button fixed.
Ready to Check.

#28 - 03/05/2024 10:27 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.SHOW ALL INACTIVE NOTES AS RED
2.SHOW PRINT DEFAULT

#29 - 03/06/2024 09:42 AM - Anil KV

- Assignee changed from Abhiram Venu to Vivekp V

#30 - 03/06/2024 04:51 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.SHOW ALL INACTIVE NOTES AS RED
2.SHOW PRINT DEFAULT

#31 - 09/26/2024 03:54 PM - Junaid M

- Assignee changed from Vivekp V to Sreeranjini T

#32 - 09/26/2024 03:54 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#33 - 09/30/2024 10:59 AM - Sreeranjini T
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

#34 - 09/30/2024 11:56 AM - Arathy PS
- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1) On clicking save button the note appears in html format in grid.
2) Align the created by data properly.
3) Show default date in the date field.

#35 - 10/01/2024 03:49 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#36 - 10/14/2024 03:43 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Each update get saved as a new note before reloading the page.

2.Fixed- Changes made in the notes are note showing when it is in edit mode.

3. Fixed-Remove the doc. no required message when click on new note with a doc. no. is already present.
4. Fixed-Tags appearing in the print.

5. Fixed-Print columns

-->Date| REF NO |Subject | note| Expiry date | status

#37 - 10/17/2024 10:18 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#38 - 11/15/2024 12:39 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1)Print columns
-->Date| REF NO |Subject | note| Expiry date | status
2)Remove active and inactive note status from date field

NEW CHANGES

Add Status Selectbox values -> (Above Legal Action Start)
Next Level Process Start

Next Level Processing

Next Level Process Completed

#39 - 11/19/2024 03:20 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#40 - 11/19/2024 05:33 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

#41 - 11/22/2024 11:26 AM - Arathy PS

Document Note

Use this icon everywhere where document note is used

<i class="fa fa-comments-0" aria-hidden="true"></i

#42 - 01/28/2025 10:28 AM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FIXED
1.Remainder period gets missing on edit mod.

#43 - 01/29/2025 03:54 PM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#44 - 02/06/2025 12:58 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1.Remainder period gets missing on edit mod.

#45 - 02/07/2025 09:55 AM - Sreeranjini T
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#46 - 02/07/2025 10:49 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

Files

1-CsModel.cs 1.63 KB 11/26/2022 Junaid M
2-tsModel.ts 1006 Bytes 11/26/2022 Junaid M
3-CsFile.cs 12.3 KB 11/26/2022 Junaid M
4-CsControllerFile.cs 24.5 KB 11/26/2022 Junaid M
6-HtmlFile.html 1.9 KB 11/26/2022 Junaid M
5-TsFile.ts 13.9 KB 11/26/2022 Junaid M
sql.sql 9.46 KB 11/26/2022 Junaid M
